### -*-text-*-
### ====================================================================
###  @UNIX-sed-file{
###     author          = "Nelson H. F. Beebe",
###     version         = "0.07",
###     date            = "15 September 2013",
###     time            = "07:37:18 MDT",
###     filename        = "WorldCat-to-TeX.sed",
###     address         = "University of Utah
###                        Department of Mathematics, 110 LCB
###                        155 S 1400 E RM 233
###                        Salt Lake City, UT 84112-0090
###                        USA",
###     telephone       = "+1 801 581 5254",
###     FAX             = "+1 801 581 4148",
###     URL             = "http://www.math.utah.edu/~beebe",
###     checksum        = "35637 200 435 5000",
###     email           = "beebe@math.utah.edu, beebe@acm.org,
###                        beebe@computer.org (Internet)",
###     codetable       = "ISO/ASCII",
###     keywords        = "OCLC WorldCat; sed; stream editor; TeX",
###     license         = "public domain",
###     supported       = "yes",
###     docstring       = "=============================================
###                         WARNING  WARNING  WARNING  WARNING  WARNING
###                        =============================================
###
###                        The OCLC WorldCat catalog records contain
###                        nonstandard accent-prefix encodings of
###                        accented characters that do not match any of
###                        the 345 encodings supported by the GNU iconv
###                        utility.  We therefore supply brute-force
###                        string substitutions to convert them to TeX
###                        equivalents in ASCII.
###
###                        NB: This file REQUIRES the GNU sed extension
###                        of \onnn to represent the 8-bit character
###                        with octal value nnn, so that this file does
###                        not need to contain non-ASCII characters that
###                        are subject to change and damage by modern
###                        text editors that attempt to deal with
###                        character encoding issues.
###
###                        The checksum field above contains a CRC-16
###                        checksum as the first value, followed by the
###                        equivalent of the standard UNIX wc (word
###                        count) utility output of lines, words, and
###                        characters.  This is produced by Robert
###                        Solovay's checksum utility.",
###  }
### ====================================================================

### acute accent prefix: type 1

s/\o247A/{\\'A}/g
s/\o247E/{\\'E}/g
s/\o247I/{\\'I}/g
s/\o247O/{\\'O}/g
s/\o247U/{\\'U}/g

s/\o247C/{\\'C}/g
s/\o247N/{\\'N}/g
s/\o247S/{\\'S}/g
s/\o247Y/{\\'Y}/g

s/\o247a/{\\'a}/g
s/\o247e/{\\'e}/g
s/\o247i/{\\'i}/g
s/\o247o/{\\'o}/g
s/\o247u/{\\'u}/g

s/\o247c/{\\'c}/g
s/\o247n/{\\'n}/g
s/\o247s/{\\'s}/g
s/\o247y/{\\'y}/g

### grave accent prefix

s/\o341A/{\\`A}/g
s/\o341E/{\\`E}/g
s/\o341I/{\\`I}/g
s/\o341O/{\\`O}/g
s/\o341U/{\\`U}/g

s/\o341C/{\\`C}/g
s/\o341N/{\\`N}/g
s/\o341S/{\\`S}/g
s/\o341Y/{\\`Y}/g

s/\o341a/{\\`a}/g
s/\o341e/{\\`e}/g
s/\o341i/{\\`i}/g
s/\o341o/{\\`o}/g
s/\o341u/{\\`u}/g

s/\o341c/{\\`c}/g
s/\o341n/{\\`n}/g
s/\o341s/{\\`s}/g
s/\o341y/{\\`y}/g

### acute accent prefix: type 2

s/\o342A/{\\'A}/g
s/\o342E/{\\'E}/g
s/\o342I/{\\'I}/g
s/\o342O/{\\'O}/g
s/\o342U/{\\'U}/g

s/\o342C/{\\'C}/g
s/\o342N/{\\'N}/g
s/\o342S/{\\'S}/g
s/\o342Y/{\\'Y}/g

s/\o342a/{\\'a}/g
s/\o342e/{\\'e}/g
s/\o342i/{\\'i}/g
s/\o342o/{\\'o}/g
s/\o342u/{\\'u}/g

s/\o342c/{\\'c}/g
s/\o342n/{\\'n}/g
s/\o342s/{\\'s}/g
s/\o342y/{\\'y}/g

### circumflex accent prefix

s/\o343A/{\\^A}/g
s/\o343E/{\\^E}/g
s/\o343I/{\\^I}/g
s/\o343O/{\\^O}/g
s/\o343U/{\\^U}/g

s/\o343a/{\\^a}/g
s/\o343e/{\\^e}/g
s/\o343i/{\\^i}/g
s/\o343o/{\\^o}/g
s/\o343u/{\\^u}/g

### bar accent (in Japanese transliterations)

s/\o345A/{\\=A}/g
s/\o345E/{\\=E}/g
s/\o345I/{\\=I}/g
s/\o345O/{\\=O}/g
s/\o345U/{\\=U}/g

s/\o345a/{\\=a}/g
s/\o345e/{\\=e}/g
s/\o345i/{\\=i}/g
s/\o345o/{\\=o}/g
s/\o345u/{\\=u}/g

### umlaut accent prefix

s/\o350A/{\\"A}/g
s/\o350E/{\\"E}/g
s/\o350I/{\\"I}/g
s/\o350O/{\\"O}/g
s/\o350U/{\\"U}/g
s/\o350Y/{\\"Y}/g

s/\o350a/{\\"a}/g
s/\o350e/{\\"e}/g
s/\o350i/{\\"i}/g
s/\o350o/{\\"o}/g
s/\o350u/{\\"u}/g
s/\o350y/{\\"y}/g

### Hungarian long accent

s/\o356O/{\\H{O}}/g
s/\o356U/{\\H{U}}/g

s/\o356o/{\\H{o}}/g
s/\o356u/{\\H{u}}/g

### cedilla accent prefix

s/\o360C/{\\c{C}}/g
s/\o360S/{\\c{S}}/g
s/\o360T/{\\c{T}}/g

s/\o360c/{\\c{c}}/g
s/\o360s/{\\c{s}}/g
s/\o360t/{\\c{t}}/g

### cedilla-like ogonek accent prefix

s/\o361A/{\\k{A}}/g
s/\o361E/{\\k{E}}/g

s/\o361a/{\\k{a}}/g
s/\o361e/{\\k{e}}/g

### miscellaneous accented characters
s/\o261/$ \pm $/g
s/\o304/{\\"A}/g
s/\o307/{\\ss}/g
s/\o311/{\\'E}/g
s/\o334/{\\"U}/g
